R命令行
----
R命令行是在命令行模式下使用R的语法，linux下控制台快捷键为Ctrl+Alt+T,windows下用Win+R组合键打开命令行．

#### 语法

R [options] [<infile] [>outfile] 

options 为可选项，指定命令行参数

* R RHOME:　显示R的可执行文件路径，linux下与命令`which R`相同
linux下默认安装到/usr/lib目录下，此时显示结果为　　
> /usr/lib/R

* R --save: 保存工作空间

* R --nosave: 不保持工作空间
* R --no-environ: 不加载site-wide和用户环境文件
* R --no-site-file: 不加载site-wide RProfile
* R --no-init-file: 不读取user RProfile
* R --restore: 恢复上次保持的对象
* R --no-restore-data: 不恢复上次保存的对象
* R --no-restore-history: 不恢复历史
* R --no-restore: 全部不恢复，不恢复对象，历史，环境
* R --no-readline: 不使用读取行
* R -q, --quiet: 安静执行，启动是不打印启动信息
* R --silent: 同上
* R --slave: 尽量安静执行
* R --verbose: 打印详细信息
* R --gui=TYPE 或　R -g:指定图形用户界面，可选项有'X11'（常规的窗体，默认选项),'Tk'
* R -f FILE 或　R --file FILE: 以FILE所指示的文件作为输入启动R
* R -e EXPR: 执行表达式EXPR并退出，这个常用
